# Module gossip_cyclon_feeder

- Description
- Data Types
- Function Index
- Function Details

Finds nodes from pid_groups and known hosts and feeds them to cyclon.

Copyright © 2013-2015 Zuse Institute Berlin,

Version: $Id$

Behaviours: `gen_component`.

Authors: Florian Schintke (`schintke@zib.de`), Nico Kruber (`kruber@zib.de`), Jan Fajerski (`fajerski@zib.de`).

## Description

Finds nodes from pid_groups and known hosts and feeds them to cyclon

## Data Types

### state_t()

    state_t() =
        #state{local_nodes = [pid()],
               remote_nodes = [comm:mypid_plain()],
               known_hosts = [comm:mypid_plain()]}

## Function Index

init/1 |
on/2 |
start_gen_component/5 |
start_link/1 |

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### start_link/1

    start_link(DHTNodeGroup :: pid_groups:groupname()) -> {ok, pid()}

### init/1

    init(X1 :: []) -> state_t()

### on/2

    on(X1 :: term(), State :: state_t()) -> state_t()

Generated by EDoc, Feb 29 2016, 16:12:16.